GuidesAPI Reference
API Reference

Real-Time Flow Information

Get real-time traffic flow data for a geospatial area.

Query Params
string
required

Return flow items within a geographical area. Area within which to return flow.

A geographic area can be one of the following:

  • A circular area, provided as latitude, longitude, and radius (in meters)

    Format: circle:{latitude},{longitude};r={radius}

    Type: circle:{decimal},{decimal};r={integer}

    Example: circle:13.1,-43.1;r=10000

  • A bounding box, provided as west longitude, south latitude, east longitude, north latitude

    Format: bbox:{west longitude},{south latitude},{east longitude},{north latitude}

    Example: bbox:13.08836,52.33812,13.761,52.6755

  • A corridor, provided as a polyline in Flexible Polyline encoding and a radius/width (in meters). The radius is measured perpendicular to each segment of the polyline on both sides, so a radius of 50 meters will cover an area 50 meters on either side of the polyline and be 100 meters wide from one side to the other. The maximum point number for a corridor is 300.

    Format: corridor:{polyline};r={radius}

    Example: corridor:BF05xgKuy2xCx9B7vUl0OhnR54EqSzpEl-HxjD3pBiGnyGi2CvwFsgD3nD4vB6e;r=50

  • A list of topology segments, provided as series of segment references and optional refReplacements (rr). The maximum number of supported segment references is 100.

    Format: segmentRef:{segment refs};rr={refReplacements}

    Example With refReplacements : segmentRef:$0:377894451:$1:192255763#+0..1,$0:377894451:$1:79189699#+0..1;rr=hrn:here:data::olp-here:rib-2:6074:,here:cm:segment

    Example Without refReplacements : segmentRef:hrn:here:data::olp-here:rib-2:6074::377894451:here:cm:segment:192255763#+0..1,hrn:here:data::olp-here:rib-2:6074::377894451:here:cm:segment:79189699#+0..1

locationReferencing
array of strings
required
length ≥ 1

The location referencing scheme (or schemes) to be used in the response. Multiple location referencing schemes can be specified separated by commas (,).

Location ReferencingDescription
noneThe response will not contain any location references such as tmc, olr, HMC topology segments or shape points.
olrOpen Location References is a TISA location referencing standard also called TPEGOpenLR. Please visit https://tisa.org/ for more details. TISA Specifications are also published by ISO https://www.iso.org/ Specifications: ISO/TS 21219-22:2017
shapeShape points. Defines a location by a series of geo-coordinates.
tmcTraffic Message Channel (TMC) location referencing method uses tables of pre-coded locations. For details please refer ISO specifications ISO 14819-3:2013 and ISO 14819-2:2013.
segmentRefTopology Segment references. Defines a location by a series of reference to the HMC Topology Segment.
number
Defaults to 0

The minimum jam factor value for flow items to be included in the response. All flow items with a lower jam factor than the value specified by the minJamFactor parameter are omitted. The parameter can be used by clients that require flow data for congested roadways only.

The value must be in the range 0.0 to 10.0 (inclusive).

Default: 0.0

number
Defaults to 10

The maximum jam factor value for flow items to be included in the response. All flow items with a higher jam factor than the value specified by the maxJamFactor parameter are omitted. This parameter can be used by clients that require flow data only for congestion-free roads.

The values must be in the range 0.0 to 10.0 (inclusive).

Default: 1.0

functionalClasses
array of integers
Defaults to 1,2,3,4,5

A list of functional classes separated by commas (,), to return results for. The functional class is used to group roads depending on speed, importance, and connectivity.

Functional classes are integers from 1 to 5 inclusive where functional class 1 are the most important and functional class 5 are the least important. The table below describes the roads that fall into each class.

Functional ClassDescription
1These roads are meant for high volume, maximum speed traffic between and through major metropolitan areas. There are very few, if any, speed changes. Access to this road is usually controlled.
2These roads are used to channel traffic to Main Roads (functionalClass=1) for travel between and through cities in the shortest amount of time. There are very few, if any speed changes.
3These roads interconnect First Class Roads (2) and provide a high volume of traffic movement at a lower level of mobility than First Class Roads (2).
4These roads provide for a high volume of traffic movement at moderate speeds between neighborhoods. These roads connect with higher Functional Class roads to collect and distribute traffic between neighborhoods.
5These roads' volume and traffic movements are below the level of any other road.
functionalClasses
advancedFeatures
array of strings

A list of advanced features separated by commas (,), to return results for.

FeatureDescription
deepCoverageMore complete flow coverage
lanesLane level traffic information about lanes designated for High Occupancy Vehicles or at highway forks/splits

NOTE: Advanced features are billed at a separate price point to normal requests. Please contact HERE sales for further details.

boolean
Defaults to true

Use replacement strings for compact representation of HMC topology segment references.

boolean
Defaults to false

Match segment references exactly with catalog versions when the value is set to true. Catalog versions are ignored to match when the value is set to false.

Headers
string

User-provided token that can be used to trace a request or a group of requests sent to the service. This can be any string but UUID is preferred.

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json